Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007508TestLinkTest Plan - Assign Test Case Executionpublic2016-04-21 11:172016-09-08 15:12
Reporteraanodin 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007508: Test cases can be assigned to an inactive or closed build
DescriptionI have two builds: A (active, opened) and B (inactive, closed).
When I go to "Assign Test Case Execution" I see both of them in "Build to assign" list.

I think it should be impossible to assign test cases to closed or inactive builds. If it works like this, some testers (or leaders) can occasionally make mistakes in assignment, which will lead to mistakes in execution.
It would be nice if there will be only active and opened builds in the list. Any ideas?
Additional InformationSorry if the issue has been already discussed, but I haven't find any information about how flags "active" and "opened" should work in this case.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0024730)
fman (administrator)
2016-04-21 18:10
edited on: 2016-04-21 18:10

reporter do not need to monitor his/her own issues

(0024738)
fman (administrator)
2016-04-22 17:41

Explanation is inside tlTestCaseFilterControl.class.php

New config option added.
Default behaviour
$tlCfg->tree_filter_cfg->testcases->plan_mode->setting_build_inactive_out = FALSE;
$tlCfg->tree_filter_cfg->testcases->plan_mode->setting_build_close_out = FALSE;

To have requested behaviour
$tlCfg->tree_filter_cfg->testcases->plan_mode->setting_build_inactive_out = TRUE;
$tlCfg->tree_filter_cfg->testcases->plan_mode->setting_build_close_out = TRUE;
(0024748)
aanodin (reporter)
2016-04-25 07:32
edited on: 2016-04-25 07:33

Thanks a lot, now it works as expected.
It is not a big deal, but script fails if both settings are TRUE and there are no active or opened builds in current testplan (on "Assign Test Case Execution" page) . Hope this will help you in testing:

Fatal error: Uncaught exception 'Exception' with message 'Class:testplan - Method: getLinkedForTesterAssignmentTree Can NOT WORK with $my['filters']['build_id'] <= 0' in C:\xampp\htdocs\testlink\lib\functions\testplan.class.php:6455 Stack trace: #0 C:\xampp\htdocs\testlink\lib\functions\execTreeMenu.inc.php(693): testplan->getLinkedForTesterAssignmentTree('9', Array, Array) #1 C:\xampp\htdocs\testlink\lib\functions\tlTestCaseFilterControl.class.php(961): testPlanTree(Object(database), 'lib/plan/tc_exe...', 1, '', '9', '\xD0\x9F\xD0\xBB\xD0\xB0\xD0\xBD \xD1\x82\xD0\xB5\xD1\x81...', Object(stdClass), Object(stdClass)) 0000002 C:\xampp\htdocs\testlink\lib\plan\planTCNavigator.php(31): tlTestCaseFilterControl->build_tree_menu(Object(stdClass)) 0000003 {main} thrown in C:\xampp\htdocs\testlink\lib\functions\testplan.class.php on line 6455

(0024749)
fman (administrator)
2016-04-25 08:34

thanks for feedback, going to check
(0024750)
fman (administrator)
2016-04-25 09:24

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/558c301212126e94c2da6f24af7b9625a76bf839 [^]
(0024751)
fman (administrator)
2016-04-25 09:24

please retest & provide feedback
(0024755)
aanodin (reporter)
2016-04-25 09:50

Thank you, now everything is ok, it provides human-readable explanation of the error :)
(0025251)
fman (administrator)
2016-09-08 15:12

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2016-04-21 11:17 aanodin New Issue
2016-04-21 12:22 fman Assigned To => fman
2016-04-21 12:22 fman Status new => assigned
2016-04-21 18:10 fman Note Added: 0024730
2016-04-21 18:10 fman Note Edited: 0024730 View Revisions
2016-04-22 17:41 fman Note Added: 0024738
2016-04-22 17:41 fman QA Team - Task Workflow Status => READY FOR TESTING
2016-04-22 17:41 fman Status assigned => resolved
2016-04-22 17:41 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-04-22 17:41 fman Resolution open => fixed
2016-04-22 17:48 fman Relationship added child of 0007262
2016-04-25 07:32 aanodin Note Added: 0024748
2016-04-25 07:33 aanodin Note Edited: 0024748 View Revisions
2016-04-25 08:34 fman Note Added: 0024749
2016-04-25 09:24 fman Note Added: 0024750
2016-04-25 09:24 fman Note Added: 0024751
2016-04-25 09:24 fman Status resolved => feedback
2016-04-25 09:50 aanodin Note Added: 0024755
2016-04-25 09:50 aanodin Status feedback => assigned
2016-04-25 10:08 fman Status assigned => resolved
2016-09-08 15:12 fman Note Added: 0025251
2016-09-08 15:12 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker